Bug 1806283 - Random123 does not support s390x
Summary: Random123 does not support s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Random123
Version: rawhide
Hardware: s390x
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-s390x
TreeView+ depends on / blocked
 
Reported: 2020-02-23 14:37 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-03-16 20:36 UTC (History)
3 users (show)

Fixed In Version: Random123-1.13.2-2.fc31 Random123-1.13.2-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 15:10:27 UTC
Type: Bug


Attachments (Terms of Use)
add s390x support (1.92 KB, patch)
2020-02-24 12:43 UTC, Dan Horák
no flags Details | Diff

Description Ankur Sinha (FranciscoD) 2020-02-23 14:37:43 UTC
Upstream does not support s390x. They have a statement in the source that checks for architecture and prevents compilation on arches they do not support. Unfortunately s390x is not supported.

Comment 1 Dan Horák 2020-02-24 12:43:03 UTC
Created attachment 1665421 [details]
add s390x support

The attached patch allows the Random123 package to build successfully on s390x. I would submit it upstream, but it's not clear to me where to report it.

Comment 2 Ankur Sinha (FranciscoD) 2020-02-24 13:24:38 UTC
Yes, that was also what kept me from looking into it. I'll see if I can find a way to contact upstream, maybe convince them to move to an public code forge. Thanks very much for this.

Comment 3 Ankur Sinha (FranciscoD) 2020-02-24 13:34:19 UTC
I've e-mailed the patch to the e-mail address they've provided now and requested them to put Random123 on Github or another forge to make it easier for us maintainers.

Comment 4 Dan Horák 2020-02-24 14:14:31 UTC
Thanks, please, let me know here when upstream has some questions or such.

Comment 5 Ankur Sinha (FranciscoD) 2020-02-26 08:45:05 UTC
They've accepted the patch and are looking to put Random123 on their github space also: https://github.com/DEShawResearch/

Thanks Dan. I'll include the patch in the Fedora package also and close this bug when I've built it.

Comment 6 Dan Horák 2020-02-26 08:59:33 UTC
Sounds good, thanks :-)

Comment 7 Fedora Update System 2020-03-08 16:08:09 UTC
FEDORA-2020-0009a3677c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0009a3677c

Comment 8 Fedora Update System 2020-03-08 16:08:10 UTC
FEDORA-2020-b7feddebb8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b7feddebb8

Comment 9 Fedora Update System 2020-03-08 17:15:48 UTC
Random123-1.13.2-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0009a3677c

Comment 10 Fedora Update System 2020-03-09 02:14:41 UTC
Random123-1.13.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b7feddebb8

Comment 11 Fedora Update System 2020-03-16 15:10:27 UTC
Random123-1.13.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-03-16 20:36:00 UTC
Random123-1.13.2-2.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.